Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Flow_Spec Class Reference

Wrapper class that defines the flow spec QoS information, which is used by IntServ (RSVP) and DiffServ. More...

`#include <OS.h>`

List of all members.

## Public Methods
| ACE_Flow_Spec (void)
| Default constructor.
| ACE_Flow_Spec (u_long token_rate, u_long token_bucket_size, u_long peak_bandwidth, u_long latency, u_long delay_variation, ACE_SERVICE_TYPE service_type, u_long max_sdu_size, u_long minimum_policed_size, int ttl, int priority)
| Constructor that initializes all the fields.
u_long | token_rate (void) const
void | token_rate (u_long tr)
u_long | token_bucket_size (void) const
void | token_bucket_size (u_long tbs)
u_long | peak_bandwidth (void) const
void | peak_bandwidth (u_long pb)
u_long | latency (void) const
void | latency (u_long l)
u_long | delay_variation (void) const
void | delay_variation (u_long dv)
ACE_SERVICE_TYPE | service_type (void) const
void | service_type (ACE_SERVICE_TYPE st)
u_long | max_sdu_size (void) const
void | max_sdu_size (u_long mss)
u_long | minimum_policed_size (void) const
void | minimum_policed_size (u_long mps)
int | ttl (void) const
void | ttl (int t)
int | priority (void) const
void | priority (int p)
## Private Attributes
u_long | token_rate_
u_long | token_bucket_size_
u_long | peak_bandwidth_
u_long | latency_
u_long | delay_variation_
ACE_SERVICE_TYPE | service_type_
u_long | max_sdu_size_
u_long | minimum_policed_size_
int | ttl_
int | priority_

## Detailed Description

Wrapper class that defines the flow spec QoS information, which is used by IntServ (RSVP) and DiffServ.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Flow_Spec::ACE_Flow_Spec ( | void )

| Default constructor.

ACE_INLINE ACE_Flow_Spec::ACE_Flow_Spec ( | u_long token_rate,
| u_long token_bucket_size,
| u_long peak_bandwidth,
| u_long latency,
| u_long delay_variation,
| ACE_SERVICE_TYPE service_type,
| u_long max_sdu_size,
| u_long minimum_policed_size,
| int ttl,
| int priority )

| Constructor that initializes all the fields.

## Member Function Documentation

ACE_INLINE void ACE_Flow_Spec::delay_variation ( | u_long dv )

ACE_INLINE u_long ACE_Flow_Spec::delay_variation ( | void ) const

ACE_INLINE void ACE_Flow_Spec::latency ( | u_long l )

ACE_INLINE u_long ACE_Flow_Spec::latency ( | void ) const

ACE_INLINE void ACE_Flow_Spec::max_sdu_size ( | u_long mss )

ACE_INLINE u_long ACE_Flow_Spec::max_sdu_size ( | void ) const

ACE_INLINE void ACE_Flow_Spec::minimum_policed_size ( | u_long mps )

ACE_INLINE u_long ACE_Flow_Spec::minimum_policed_size ( | void ) const

ACE_INLINE void ACE_Flow_Spec::peak_bandwidth ( | u_long pb )

ACE_INLINE u_long ACE_Flow_Spec::peak_bandwidth ( | void ) const

ACE_INLINE void ACE_Flow_Spec::priority ( | int p )

ACE_INLINE int ACE_Flow_Spec::priority ( | void ) const

ACE_INLINE void ACE_Flow_Spec::service_type ( | ACE_SERVICE_TYPE st )

ACE_INLINE ACE_SERVICE_TYPE ACE_Flow_Spec::service_type ( | void ) const

ACE_INLINE void ACE_Flow_Spec::token_bucket_size ( | u_long tbs )

ACE_INLINE u_long ACE_Flow_Spec::token_bucket_size ( | void ) const

ACE_INLINE void ACE_Flow_Spec::token_rate ( | u_long tr )

ACE_INLINE u_long ACE_Flow_Spec::token_rate ( | void ) const

ACE_INLINE void ACE_Flow_Spec::ttl ( | int t )

ACE_INLINE int ACE_Flow_Spec::ttl ( | void ) const

## Member Data Documentation

u_long ACE_Flow_Spec::delay_variation_`[private]`

u_long ACE_Flow_Spec::latency_`[private]`

u_long ACE_Flow_Spec::max_sdu_size_`[private]`

u_long ACE_Flow_Spec::minimum_policed_size_`[private]`

u_long ACE_Flow_Spec::peak_bandwidth_`[private]`

int ACE_Flow_Spec::priority_`[private]`

ACE_SERVICE_TYPE ACE_Flow_Spec::service_type_`[private]`

u_long ACE_Flow_Spec::token_bucket_size_`[private]`

u_long ACE_Flow_Spec::token_rate_`[private]`

int ACE_Flow_Spec::ttl_`[private]`

The documentation for this class was generated from the following files:

- OS.h
- OS.i